Bug 191467 - [PATCH] ftp/phpwebftp: update to 3.3b and apply for maintainership
[PATCH] ftp/phpwebftp: update to 3.3b and apply for maintainership
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Adam Weinberger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-28 22:28 UTC by Marco Steinbach
Modified: 2014-08-11 14:50 UTC (History)
2 users (show)

See Also:


Attachments
phpwebftp-3.3b.patch (7.59 KB, patch)
2014-06-28 22:28 UTC, Marco Steinbach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Steinbach 2014-06-28 22:28:22 UTC
Created attachment 144233 [details]
phpwebftp-3.3b.patch

- Stage and apply for maintainership
- Update to 3.3b
- Use @sample in pkg-plist

Port maintainer (acm@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: SVN)
Comment 1 Mark Linimon freebsd_committer 2014-07-04 01:23:37 UTC
Over to current maintainer.
Comment 2 John Marino freebsd_committer 2014-08-11 14:16:08 UTC
Adam, you staged this port recently.  Can you handle this PR?  ask for a new patch, whatever?  I think you assign the port to the committer too.
Comment 3 John Marino freebsd_committer 2014-08-11 14:16:37 UTC
removing "stage" from title to avoid false positives in search
Comment 4 commit-hook freebsd_committer 2014-08-11 14:40:11 UTC
A commit references this bug:

Author: adamw
Date: Mon Aug 11 14:39:51 UTC 2014
New revision: 364617
URL: http://svnweb.freebsd.org/changeset/ports/364617

Log:
  Update to 3.3b.

  PR:		191467
  Submitted by:	Marco Steinbach

Changes:
  head/ftp/phpwebftp/Makefile
  head/ftp/phpwebftp/distinfo
  head/ftp/phpwebftp/pkg-plist
Comment 5 Adam Weinberger freebsd_committer 2014-08-11 14:43:21 UTC
Committed with some small modifications. Good work on this patch, Marco, and thanks for being patient.

The iregex prevented the new .sample file from being installed, so I simplified it by removing the only file we don't care about and then just installing everything. As a bonus that lets us simplify the rest of the Makefile and the plist.

I am uncomfortable reassigning maintainership from a committer without his approval. John is part of portmgr; I'll leave it up to him to decide what the right thing is to do there.
Comment 6 John Marino freebsd_committer 2014-08-11 14:46:01 UTC
(In reply to Adam Weinberger from comment #5)
> I am uncomfortable reassigning maintainership from a committer without his
> approval. John is part of portmgr; I'll leave it up to him to decide what
> the right thing is to do there.

Actually, I'm just a hyperactive regular guy.  I am a thorn in portmgr side. :)

acm@ has said a few times that he can't maintain all of his ports right now, and many have already been reverted.  This would have been one of those reversions had this PR not blocked the reset.

I'm pretty confident that acm@ will not mind giving the port to a good home.
Comment 7 Adam Weinberger freebsd_committer 2014-08-11 14:50:11 UTC
(In reply to John Marino from comment #6)
> Actually, I'm just a hyperactive regular guy.  I am a thorn in portmgr side.

You should join lurkers! You certainly do tons of that level of work already.

> I'm pretty confident that acm@ will not mind giving the port to a good home.

Done, thanks for the clarification!